plugins {
    alias(libs.plugins.android.application)
    alias(libs.plugins.kotlin.android)
}

android {
    namespace 'com.rehome.bhdxj'
    compileSdk 35
    defaultConfig {
        applicationId "com.rehome.bhdxj"
        minSdk 24
        targetSdk 35
        versionCode 110
        versionName "1.1.0"
        multiDexEnabled true
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        //每个应用拥有不同的authorities，防止相同的在同一个手机上无法同时安装
        resValue "string", "authorities", applicationId
        resourceConfigurations += ['zh', 'en', 'hdpi']
    }
    buildFeatures {
        viewBinding = true
    }
    signingConfigs {
        release {
            keyAlias 'key0'
            storeFile file('../key/keystore1')
            storePassword 'abc123123'
            keyPassword 'abc123123'
            v1SigningEnabled true   //是否开启V1签名
            v2SigningEnabled true   //是否开启V2签名
        }
    }
    buildTypes {
        debug {
            minifyEnabled false
        }
        release {
            lintOptions {
                checkReleaseBuilds false
                abortOnError false
            }
            minifyEnabled false
            debuggable false // 是否debug
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            //修改生成的apk名字
            android.applicationVariants.all { variant ->
                variant.outputs.all {
                    outputFileName = "DJ_APP.apk"
                }
            }
            signingConfig signingConfigs.release // 打包签名信息
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_21
        targetCompatibility JavaVersion.VERSION_21
    }

}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])

    implementation libs.androidx.core.ktx
    implementation libs.androidx.appcompat
    implementation libs.material
    implementation libs.androidx.activity
    implementation libs.androidx.constraintlayout
    testImplementation libs.junit
    androidTestImplementation libs.androidx.junit
    androidTestImplementation libs.androidx.espresso.core

//    implementation 'androidx.appcompat:appcompat:1.2.0'
//    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'

//    implementation 'com.zhy:autolayout:1.4.5'
//    implementation 'com.yolanda.nohttp:nohttp:1.0.5'
//    implementation 'org.litepal.android:core:1.5.1'

    //第三方库自动布局
    implementation project(':autolayout')
    //网络请求模块
    implementation project(':nohttp')
    //第三方数据库封装，巡检，点检用到
    implementation project(':litepal')

    implementation 'com.squareup.okhttp3:logging-interceptor:4.9.0'
    implementation 'com.squareup.retrofit2:retrofit:2.9.0'
    implementation 'com.squareup.retrofit2:converter-gson:2.9.0'

    implementation 'com.github.huangyanbin:SmartTable:2.2.0'
//    implementation 'com.google.android.material:material:1.2.1'
    implementation 'androidx.multidex:multidex:2.0.1'
    implementation 'androidx.recyclerview:recyclerview:1.1.0'
    implementation 'com.github.bumptech.glide:glide:4.11.0'
    implementation 'de.hdodenhof:circleimageview:3.1.0'
    //第三方库图片选择器
    // PictureSelector basic (Necessary)
    implementation 'io.github.lucksiege:pictureselector:v3.10.7'
    // image compress library (Not necessary)
    implementation 'io.github.lucksiege:compress:v3.10.7'
    // uCrop library (Not necessary)
    implementation 'io.github.lucksiege:ucrop:v3.10.7'
    // simple camerax library (Not necessary)
    implementation 'io.github.lucksiege:camerax:v3.10.7'
    implementation 'io.github.azhon:appupdate:4.2.6'
    implementation 'com.tencent.bugly:crashreport:3.2.1'
    implementation 'com.github.xuexiangjys:XUI:1.1.4'
    //mqtt
    implementation 'org.eclipse.paho:org.eclipse.paho.client.mqttv3:1.2.4'
    implementation 'org.eclipse.paho:org.eclipse.paho.android.service:1.1.1'
    implementation 'org.bouncycastle:bcpkix-jdk15on:1.56'
    implementation 'commons-codec:commons-codec:1.15'

//    testImplementation 'junit:junit:4.13.1'
//    androidTestImplementation 'androidx.test.ext:junit:1.1.2'
//    androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
    configurations {
        all*.exclude group: 'com.google.code.gson'
    }
}
